package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qs.mp.common.enums.ChannelCertifyStatusEnum;
import com.qs.mp.common.enums.ChannelVerifyStatusEnum;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * @describe 渠道经销商实体类
 * @auther quanshu
 * @create 2022-02-28 22:54:23
 */
@TableName("mp_channel")
@Data
public class Channel implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "ID" , type = IdType.AUTO)
  private Long id;

  /**
   * 渠道编码
   */
  @TableField("CHANNEL_NO")
  private String channelNo;

  /**
   * 渠道名称
   */
  @TableField("NAME")
  private String name;

  /**
   * 父渠道ID
   */
  @TableField("PARENT_ID")
  private Long parentId;

  /**
   * 渠道级别，0:经销商；1:一级渠道；2:二级渠道
   */
  @TableField("LEVEL")
  private Integer level;

  /**
   * 分佣百分比
   */
  @TableField("COMM_RATE")
  private BigDecimal commRate;

  /**
   * 省份
   */
  @TableField("PROVINCE")
  private String province;

  /**
   * 市
   */
  @TableField("CITY")
  private String city;

  /**
   * 区
   */
  @TableField("AREA")
  private String area;

  /**
   * 详细地址
   */
  @TableField("ADDRESS")
  private String address;

  /**
   * 联系人
   */
  @TableField("CONTACT")
  private String contact;

  /**
   * 手机号
   */
  @TableField("MOBILE")
  private String mobile;

  /**
   * 用户ID
   */
  @TableField("USER_ID")
  private Long userId;

  /**
   * 账户余额
   */
  @TableField("MONEY")
  private Integer money;

  /**
   * 账户冻结金额
   */
  @TableField("FROZEN_MONEY")
  private Integer frozenMoney;

  /**
   * 认证状态
   */
  @TableField("CERTIFY_STATUS")
  private ChannelCertifyStatusEnum certifyStatus;

  /**
   * 审核状态
   */
  @TableField("VERIFY_STATUS")
  private ChannelVerifyStatusEnum verifyStatus;

  /**
   * 营业执照
   */
  @TableField("BIZ_LICENSE")
  private String bizLicense;

  /**
   * 门头照片
   */
  @TableField("DOOR_PIC")
  private String doorPic;

  /**
   * 备注信息
   */
  @TableField("MEMO")
  private String memo;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}
