package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 渠道账户流水实体类
 * @auther quanshu
 * @create 2022-02-28 22:54:23
 */
@TableName("mp_channel_money_log")
@Data
public class ChannelMoneyLog implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "ID" , type = IdType.AUTO)
  private Long id;

  /**
   * 渠道ID
   */
  @TableField("CHANNEL_ID")
  private Long channelId;

  /**
   * 交易类型
   */
  @TableField("TYPE")
  private Integer type;

  /**
   * 交易后账户余额
   */
  @TableField("MONEY")
  private Integer money;

  /**
   * 账户增减金额
   */
  @TableField("LOG_MONEY")
  private Integer logMoney;

  /**
   * 收支类型
   */
  @TableField("INCOME_EXPENSE")
  private Integer incomeExpense;

  /**
   * 备注
   */
  @TableField("LOG_TEXT")
  private String logText;

  /**
   * 交易时间
   */
  @TableField("BIZ_TIME")
  private Date bizTime;

  /**
   * 关联交易ID类型
   */
  @TableField("REF_TYPE")
  private Integer refType;

  /**
   * 关联交易ID
   */
  @TableField("REF_ID")
  private String refId;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}