package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 经销商盲票采购订单实体类
 * @auther quanshu
 * @create 2022-03-01 20:07:00
 */
@TableName("mp_channel_order")
@Data
public class ChannelOrder implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "ORDER_ID" , type = IdType.INPUT)
  private String orderId;

  /**
   * 渠道ID
   */
  @TableField("CHANNEL_ID")
  private Long channelId;

  /**
   * 标题
   */
  @TableField("TITLE")
  private String title;

  /**
   * 订单金额
   */
  @TableField("ORDER_AMT")
  private Integer orderAmt;

  /**
   * 运费金额
   */
  @TableField("FREIGHT_AMT")
  private Integer freightAmt;

  /**
   * 实付金额
   */
  @TableField("PAY_AMT")
  private Integer payAmt;

  /**
   * 订单状态
   */
  @TableField("STATUS")
  private String status;

  /**
   * 备注
   */
  @TableField("MEMO")
  private String memo;

  /**
   * 收货人
   */
  @TableField("RECEIVER")
  private String receiver;

  /**
   * 收货人电话
   */
  @TableField("TEL")
  private String tel;

  /**
   * 收货地址-省
   */
  @TableField("PROVINCE")
  private String province;

  /**
   * 收货地址-市
   */
  @TableField("CITY")
  private String city;

  /**
   * 收货地址-区
   */
  @TableField("AREA")
  private String area;

  /**
   * 收货地址-详细
   */
  @TableField("ADDRESS")
  private String address;

  /**
   * 物流ID
   */
  @TableField("DELIVERY_ID")
  private String deliveryId;

  /**
   * 物流单号
   */
  @TableField("DELIVERY_FLOW_ID")
  private String deliveryFlowId;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}
