package com.qs.mp.manager.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票组实体类
 * @auther quanshu
 * @create 2022-03-01 20:33:52
 */
@TableName("mp_ticket_box")
@Data
public class TicketBox implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "BOX_ID" , type = IdType.INPUT)
  private String boxId;

  /**
   * 盲票组标题
   */
  @TableField("TITLE")
  private String title;

  /**
   * 主图url
   */
  @TableField("PIC_URL")
  private String picUrl;

  /**
   * 盲票类别
   */
  @TableField("CATEGORY")
  private String category;

  /**
   * 详细描述
   */
  @TableField("DESCRIPTION")
  private String description;

  /**
   * 盲票形式（线上或线下）
   */
  @TableField("TYPE")
  private String type;

  /**
   * 盲票张数
   */
  @TableField("QUANTITY")
  private Integer quantity;

  /**
   * 已售盲票张数
   */
  @TableField("SALE_QTY")
  private Integer saleQty;

  /**
   * 盲票包采购单价
   */
  @TableField("BOX_PRICE")
  private Integer boxPrice;

  /**
   * 每包盲票张数
   */
  @TableField("PKG_UNIT")
  private Integer pkgUnit;

  /**
   * 盲票包数
   */
  @TableField("PKG_QTY")
  private Integer pkgQty;

  /**
   * 已销售包数
   */
  @TableField("SALE_PKG_QTY")
  private Integer salePkgQty;

  /**
   * 盲票票面价格
   */
  @TableField("FACE_PRICE")
  private Integer facePrice;

  /**
   * 盲票销售价格
   */
  @TableField("SALE_PRICE")
  private Integer salePrice;

  /**
   * 分佣的销售额百分比
   */
  @TableField("SALE_COMM_RATE")
  private BigDecimal saleCommRate;

  /**
   * 状态，上架/下架
   */
  @TableField("STATUS")
  private String status;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}
