package com.qs.mp.manager.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票包实体类
 * @auther quanshu
 * @create 2022-02-28 22:58:02
 */
@TableName("mp_ticket_package")
@Data
public class TicketPackage implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 盲票包ID
   */
  @TableId(value = "PKG_ID" , type = IdType.INPUT)
  private String pkgId;

  /**
   * 盲票组ID
   */
  @TableField("BOX_ID")
  private String boxId;

  /**
   * 开始序号
   */
  @TableField("START_SN")
  private String startSn;

  /**
   * 结束序号
   */
  @TableField("END_SN")
  private String endSn;

  /**
   * 状态（待销售、已销售）
   */
  @TableField("STATUS")
  private String status;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}